Subject: Re: Passive OS fingerprint xtables match (iptables part)

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 13 Feb 2009 15:48:29 +0300

On Thu, Feb 12, 2009 at 09:19:18PM +0100, Jan Engelhardt ([email-masked]) wrote:
> >> Make use of xtables_strtoui to do bounds checking on the TTL value.
> >
> >Hmm...
> >$ grep xtables_strtoui -r /tmp/iptables-1.4.2
> >$
> 
> It is going to be in 1.4.3, after whose release is the earliest point
> ipt_osf (or xt_osf :) will probably find its way into the mainlines.
> In 1.4.2, it is still called strtonum.

But it can be built with older (and already running) installation, with
xtables_strtoui() this will not be allowed.

-- 
	Evgeniy Polyakov